RanklyBee logoRanklyBee
Contacts

Choose a prospect contact

Requires the contacts:write scope.

PATCH
/workspaces/{workspaceId}/prospects/{prospectId}/contact

Requires the contacts:write scope.

Authorization

bearerAuth
AuthorizationBearer <token>

Use a token created in Settings → API access.

In: header

Path Parameters

workspaceId*string

Workspace ID returned by GET /workspaces.

prospectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

email*string
Formatemail
idempotencyKey*string
Length8 <= length <= 160

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/workspaces/string/prospects/string/contact" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com",    "idempotencyKey": "stringst"  }'
{  "ok": true,  "data": {    "id": "string",    "email": "user@example.com",    "fullName": "string",    "role": "string",    "roleCategory": "string",    "company": "string",    "source": "string",    "sourceProvider": "string",    "sourceUrl": "http://example.com",    "sourceReference": "string",    "status": "string",    "verificationStatus": "string",    "lastVerifiedAt": "2019-08-24T14:15:22Z",    "suppressionReason": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}